#ifndef VITETREEWIDGET_H
#define VITETREEWIDGET_H
 
#include <QTreeWidget>
#include <QObject>
 
class viteQTreeWidget : public QTreeWidget
{
    Q_OBJECT
 
public:
    viteQTreeWidget(QWidget *parent = 0);
    ~viteQTreeWidget();
protected:
    void dropEvent(QDropEvent *event);
    
    void dragEnterEvent(QDragEnterEvent *e);
void dragMoveEvent(QDragMoveEvent *e);

QList<QTreeWidgetItem *> selected_items;

QMimeData *mimeData(const QList<QTreeWidgetItem *> items) const;

bool dropMimeData ( QTreeWidgetItem * newParentPtr, int index, const QMimeData * data, Qt::DropAction action ) ;

Qt::DropActions supportedDropActions () const;
};
 
 
#endif
